[Services] Summarize time-based work by month
curl --request GET \
--url https://api.example.com/v1/organizations/{organization_id}/services/billable-items/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/services/billable-items/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/organizations/{organization_id}/services/billable-items/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "<string>",
"hours": "<string>",
"amount": "<string>",
"invoiced_amount": "<string>",
"pending_amount": "<string>",
"months": [
{
"month": "<string>",
"hours": "<string>",
"amount": "<string>",
"invoiced_amount": "<string>",
"pending_amount": "<string>",
"item_count": 123
}
]
}Services
[Services] Summarize time-based work by month
Hours and amounts excluding tax, split between invoiced and not invoiced yet, in total and per month.
GET
/
v1
/
organizations
/
{organization_id}
/
services
/
billable-items
/
summary
[Services] Summarize time-based work by month
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the organization
Response
200 - application/json
Pattern:
^-?\d{0,7}(?:\.\d{0,2})?$Pattern:
^-?\d{0,10}(?:\.\d{0,2})?$Pattern:
^-?\d{0,10}(?:\.\d{0,2})?$Pattern:
^-?\d{0,10}(?:\.\d{0,2})?$Show child attributes
Show child attributes
⌘I

